Skip to content

Parcel

Endpoints related to parcel information and tracking

Parcel

Request

The Parcel endpoint returns information regarding a given parcel. This broadly includes shipper and consignee address, delivery information, ETA timestamps and much more.

Security
bearerToken
Path
parcelIdentifierstringrequired

Parcel number or tracking id

Example:10362781851
curl -i -X GET \
  https://tracking.bettermile.com/api/v2/external/parcel/10362781851 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Parcel response

Bodyapplication/json
parcelNumberstringrequired
Example:"10362781851"
trackingIdstringrequired
Example:"YUTKBBTN"
statusany(ParcelStatus)required
jobTypestring(JobType)required
Enum:"DELIVERY""PICKUP""COLLECTION""UNKNOWN"
supportedCustomizedDeliveryTypesArray of strings(CustomizedDeliveryType)required
Items Enum:"DEPOSIT_PERMISSION""DELIVER_TO_NEIGHBOR""DELIVER_TO_PARCELSHOP""HINT"
shipperIdstring(ShipperId)
Example:"bmw"
customizedDeliveryany(CustomizedDelivery)
fromAddressobject(AddressName)
toAddressobject(Address)
Response
{ "trackingId": "YUTKBBTN", "parcelNumber": "10362781851", "status": { "type": "DELIVERED", "detail": "NORMAL", "deliveredAt": "2022-01-15T14:33:25Z", "address": { … }, "name": null }, "shipperId": "bmw", "jobType": "DELIVERY", "supportedCustomizedDeliveryTypes": [ "DEPOSIT_PERMISSION" ], "customizedDelivery": { "type": "DEPOSIT_PERMISSION", "createdAt": "2022-01-15T14:33:25Z", "location": "Carport", "description": "Hinter der Tonne" }, "fromAddress": { "name": "Max Mustermann" }, "toAddress": { "name": "Max Mustermann", "street": "GLS Germany-Straße", "number": "1-7", "postcode": 36286, "city": "Neuenstein", "country": "DE", "coordinates": { … } } }